curl --request POST \
--url https://api.maxapi.io/api/v1/task/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "seedream-4.5",
"callBackUrl": "https://example.com/webhook",
"input": {
"prompt": "Transform to watercolor style",
"imageUrls": ["https://example.com/photo.jpg"],
"ratio": "16:9",
"resolution": "2k"
}
}'
{
"code": 0,
"msg": "ok",
"data": {
"taskId": "c3d4e5f6-a7b8-9012-cdef-234567890abc"
}
}
Seedream Image-to-Image — Generate new images based on reference images
curl --request POST \
--url https://api.maxapi.io/api/v1/task/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "seedream-4.5",
"callBackUrl": "https://example.com/webhook",
"input": {
"prompt": "Transform to watercolor style",
"imageUrls": ["https://example.com/photo.jpg"],
"ratio": "16:9",
"resolution": "2k"
}
}'
{
"code": 0,
"msg": "ok",
"data": {
"taskId": "c3d4e5f6-a7b8-9012-cdef-234567890abc"
}
}
Uses the same models as Text to Image. When theDocumentation Index
Fetch the complete documentation index at: https://docs.maxapi.io/llms.txt
Use this file to discover all available pages before exploring further.
input contains an imageUrls field, it automatically switches to image-to-image mode.
seedream-4.5. Uses the same models as Text to Image.Hide properties
1:1, 4:3, 3:4, 16:9, 9:16, 3:2, 2:3, 21:9.1k, 2k, 4k.1. Billing scales linearly with n.seedream-5-lite: 1–4seedream-4 / seedream-4.5: 1–15curl --request POST \
--url https://api.maxapi.io/api/v1/task/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "seedream-4.5",
"callBackUrl": "https://example.com/webhook",
"input": {
"prompt": "Transform to watercolor style",
"imageUrls": ["https://example.com/photo.jpg"],
"ratio": "16:9",
"resolution": "2k"
}
}'
{
"code": 0,
"msg": "ok",
"data": {
"taskId": "c3d4e5f6-a7b8-9012-cdef-234567890abc"
}
}
{
"code": 0,
"msg": "ok",
"data": {
"taskId": "c3d4e5f6-a7b8-9012-cdef-234567890abc",
"status": "SUCCESS",
"input": {
"model": "seedream-4.5",
"prompt": "Transform to watercolor style",
"imageUrls": ["https://example.com/photo.jpg"],
"ratio": "16:9",
"resolution": "2k"
},
"result": {
"type": "image",
"urls": [
"https://example.com/output/result1.png",
"https://example.com/output/result2.png"
]
},
"created_at": "2026-02-10T22:00:00.000000Z",
"updated_at": "2026-02-10T22:00:15.000000Z"
}
}